@include('includes.admin-header')
<div class="right_col" role="main" style="min-height: 3742.8px;">
	<div class="">
		<div class="page-title">
		  <div class="title_left">
			<h3>Match Info</h3>
		  </div>
		</div>
	</div>
	<div class="clearfix"></div>
	<div class="row">
		<div class="col-md-12 col-sm-12 col-xs-12">
			<div class="x_panel">
			  <a class="pull-right btnsss" href="<?php echo action('MatchesController@matchmapping')?>">View all mapped matches</a>
			</div>
		</div>
		<div class="row">
		  <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Match Info</h2>
                    <div class="clearfix"></div>
                  </div>
				  
                  <div class="x_content">
                    <br>
					<?php echo Helpers::errormessage($errors);?>
					<?php echo Helpers::flashMessage();?>
					<div class="row">
						<div class="col-md-6 col-sm-6">
							<p><strong>Match Name :- </strong><?php echo ucwords($findmatchdetails->short_name);?> (<?php echo ucwords($findmatchdetails->name);?>) </p>
							<p><strong>Team1 Display Name :- </strong><?php echo ucwords($findmatchdetails->team1display);?> (<?php echo ucwords($findmatchdetails->team1name);?>) </p>
							<p><strong>Team2 Display Name :- </strong><?php echo ucwords($findmatchdetails->team2display);?> (<?php echo ucwords($findmatchdetails->team2name);?>)</p>
							<p><strong>Date and time :- </strong><?php echo date('d F, Y h:i a',strtotime($findmatchdetails->start_date))?> </p>
							<p><strong>Format :- </strong><?php echo $findmatchdetails->format?> Match</p>
						</div>
						<?php if($findmatchdetails->launch_status!='launched'){ ?>
						<div class="col-md-6 col-sm-6 text-center">
							<p> To launch this match click here </p>
							<a href="<?php echo action('MatchesController@launch',$findmatchdetails->matchkey)?>" class="btn btn-info"> launch match </a>
						</div>
						<?php } else{
							?>
							<div class="col-md-6 col-sm-6 text-center">
								<button class="btn btn-success" style="margin-top:50px;">Match Launched</button>
							</div>
							<?php
						}?>
					</div>
					<div class="row">
						<div class="col-md-6 col-sm-6 text-center">
							<div class="col-md-12 col-sm-12" style="border:1px solid #ddd;padding:15px;">
								<h5><strong> <?php echo ucwords($findmatchdetails->team1name);?> </strong></h5>
								<?php
									if($findmatchdetails->team1logo!=""){
										?>
										<img src="<?php echo URL::asset('uploads/teams/'.$findmatchdetails->team1logo)?>" style="width:100px;height:100px;">
										<br>
										<br>
										<a class="logobtn" data-toggle="modal" data-target="#team1modallogo"> Update Logo </a>
										<?php
									}else{
										?>
										<img src="<?php echo URL::asset('images/logo.png')?>" style="width:200px;">
										<br>
										<br>
										<a class="logobtn" data-toggle="modal" data-target="#team1modallogo"> Add Logo </a>
										<?php
									}
								?>
								<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="team1modallogo">
										<div class="modal-dialog modal-sm">
										  <div class="modal-content">
											<div class="modal-header">
											  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
											  </button>
											  <h4 class="modal-title" id="myModalLabel2">Update logo of team <?php echo ucwords($findmatchdetails->team1name);?></h4>
											</div>
											<div class="modal-body">
											  <form action="<?php echo action('MatchesController@updatelogo',$findmatchdetails->team1id)?>" method="post" enctype="multipart/form-data">
											  {{csrf_field()}}
												<div class="form-group">
													<input type="file" name="image[]">
												</div>
												<button type="submit" class="btn btn-primary">Update Logo</button>
											  </form>
											</div>
											<div class="modal-footer">
											  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
											</div>

										  </div>
										</div>
									  </div>
							</div>
						</div>
						<div class="col-md-6 col-sm-6 text-center">
							<div class="col-md-12 col-sm-12" style="border:1px solid #ddd;padding:15px;">
								<h5><strong> <?php echo ucwords($findmatchdetails->team2name);?> </strong></h5>
							<?php
									if($findmatchdetails->team2logo!=""){
										?>
										<img src="<?php echo URL::asset('uploads/teams/'.$findmatchdetails->team2logo)?>" style="width:100px;height:100px;">
										<br>
										<br>
										<a class="logobtn" data-toggle="modal" data-target="#team2modallogo"> Update Logo </a>
										<?php
									}else{
										?>
										<img src="<?php echo URL::asset('images/logo.png')?>" style="width:200px;">
										<br>
										<br>
										<a class="logobtn" data-toggle="modal" data-target="#team2modallogo"> Add Logo </a>
										<?php
									}
								?>
								<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="team2modallogo">
										<div class="modal-dialog modal-sm">
										  <div class="modal-content">
											<div class="modal-header">
											  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
											  </button>
											  <h4 class="modal-title" id="myModalLabel2">Update logo of team <?php echo ucwords($findmatchdetails->team2name);?></h4>
											</div>
											<div class="modal-body">
											  <form action="<?php echo action('MatchesController@updatelogo',$findmatchdetails->team2id)?>" method="post" enctype="multipart/form-data">
											  {{csrf_field()}}
												<div class="form-group">
													<input type="file" name="image[]">
												</div>
												<button type="submit" class="btn btn-primary">Update Logo</button>
											  </form>
											</div>
											<div class="modal-footer">
											  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
											</div>

										  </div>
										</div>
								</div>
							</div>
						</div>
					</div>
					<?php $findplayer1details = DB::table('matchplayers')->where('matchplayers.matchkey',$findmatchdetails->matchkey)->where('players.team',$findmatchdetails->team1)->join('players','players.id','=','matchplayers.playerid')->select('matchplayers.*')->get();
					?>
					<?php $findplayer2details = DB::table('matchplayers')->where('matchplayers.matchkey',$findmatchdetails->matchkey)->where('players.team',$findmatchdetails->team2)->join('players','players.id','=','matchplayers.playerid')->select('matchplayers.*')->get();
					?>
					
					<div class="row" style="margin-top:20px;">
						<div class="col-md-6 col-sm-6 text-center">
							<div class="col-md-12 col-sm-12" style="border:1px solid #ddd;padding:15px;">
							<?php if($findmatchdetails->launch_status!='launched'){ ?>
								<a class="pull-right btnsss" style="cursor:pointer;margin-bottom:10px;" data-target="#addplayermanuallyteam1" data-toggle="modal" style=""><i class="fa fa-plus-circle"></i> Add player manually</a>
								<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="addplayermanuallyteam1">
									<div class="modal-dialog modal-sm">
									  <div class="modal-content">
										<div class="modal-header">
										  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
										  </button>
										  <h4 class="modal-title" id="myModalLabel2">Add player manually in <?php echo ucwords($findmatchdetails->team1name);?></h4>
										</div>
										<div class="modal-body">
										  <form action="<?php echo action('PlayersController@addplayermanually')?>" method="post" enctype="multipart/form-data">
										  {{csrf_field()}}
											<input type="hidden" value="<?php echo $findmatchdetails->matchkey?>" name="matchkey">
											<input type="hidden" value="<?php echo $findmatchdetails->team1?>" name="team">
											<div class="form-group">
												<input class="form-control" required="" name="player_name" placeholder="Enter Player Name here">
											</div>
											<div class="form-group">
												<input class="form-control" required="" name="player_key" placeholder="Enter Player Key here">
											</div>
											<div class="form-group">
												<input class="form-control" required="" name="credit" onkeypress="return isNumberKey(event)" placeholder="Enter Player credit here">
											</div>
											<div class="form-group">
												<select class="form-control" name="role" required="">
													<option value="">Select Role</option>
													<option value="batsman">Batsman</option>
													<option value="bowler">Bowler</option>
													<option value="allrounder">All rounder</option>
													<option value="keeper">Wicket Keeper</option>
												</select>
											</div>
											<div class="form-group">
												<input type="file" name="image[]">
											</div>
											<button type="submit" class="btn btn-primary">Add Player</button>
										  </form>
										</div>
										<div class="modal-footer">
										  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
										</div>
										</div>
									</div>
							</div>
							<?php } ?>
								<table class="table table-striped table-bordered dataTable no-footer" role="grid" aria-describedby="datatable_info">
									<thead>
										<tr role="row">
											<th class="sorting_asc">S No.</th>
											<th class="sorting_asc">Player Name</th>
											<th class="sorting_asc">Player Role</th>
											<th class="sorting">Player Credit</th>
										</tr>
								  </thead>
								  <tbody>
								  <?php $player1sno=0;?>
								  <?php foreach($findplayer1details as $p1){ 
									$player1sno++;
								  ?>
								  <tr role="row">
									 <td><?php echo $player1sno; ?></td>
									 <td><?php echo ucwords($p1->name);?></td>
									 <td><a data-toggle="modal" data-target="#player1modal<?php echo $player1sno?>" style="text-decoration:underline;cursor:pointer"><?php echo ucwords($p1->role);?></a></td>
									 <td><a data-toggle="modal" data-target="#player1modal<?php echo $player1sno?>" style="text-decoration:underline;cursor:pointer"><?php if($p1->credit==""){ echo 0;}else{ echo $p1->credit; } ?></a></td>
								  </tr>
								  <?php if($findmatchdetails->launch_status!='launched'){ ?>
								  <div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="player1modal<?php echo $player1sno;?>">
										<div class="modal-dialog modal-sm">
										  <div class="modal-content">
											<div class="modal-header">
											  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
											  </button>
											  <h4 class="modal-title" id="myModalLabel2">Change player role and credit</h4>
											</div>
											<div class="modal-body">
											  <form action="<?php echo action('MatchesController@playerroles',$p1->id)?>" method="post">
												{{csrf_field()}}
												<div class="form-group">
													<input type="text" class="form-control" readonly="" value="<?php echo ucwords($p1->name); ?>">
												</div>
												<div class="form-group">
													<input type="text" class="form-control" onkeypress="return isNumberKey(event)" name="credit" placeholder="Enter player credits" value="<?php echo $p1->credit; ?>">
												</div>
												<div class="form-group">
													<select class="form-control" name="role">
														<option value=""></option>
														<option value="batsman" <?php if($p1->role=='batsman'){ echo 'selected'; }?>>Batsman</option>
														<option value="bowler" <?php if($p1->role=='bowler'){ echo 'selected'; }?>>Bowler</option>
														<option value="allrounder" <?php if($p1->role=='allrounder'){ echo 'selected'; }?>>All rounder</option>
														<option value="keeper" <?php if($p1->role=='keeper'){ echo 'selected'; }?>>Wicket Keeper</option>
													</select>
												</div>
												<div class="checkbox" style="text-align:left;">
													<label>
													  <input value="global" name="global" type="checkbox"> Set as global
													</label>
												  </div>
												   <button type="submit" class="btn btn-primary">Save changes</button>
											  </form>
											</div>
											<div class="modal-footer">
											  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
											</div>

										  </div>
										</div>
									  </div>
								  <?php } ?>
								  <?php } ?>
								  </tbody>
								</table>
							</div>
							<div id="Ctrl_SlctCriteriaTeam1" class="col-md-12 col-sm-12" style="margin-top:20px;padding:0px;">
							<table style="width:100%;" class="table table-striped table-bordered dataTable no-footer" border="1">
								<tbody>
								<tr>
									<th colspan="5" style="text-align:center">Selection Criteria</th>
								</tr>
								<tr>
									<td></td>
									<td>WK</td>
									<td>Bat</td>
									<td>AR</td>
									<td>Bowl</td>
								</tr>
								<tr>
									<th>Min</th>
									<td>1</td>
									<td>3</td>
									<td>1</td>
									<td>3</td>
								</tr>
								<tr>
									<th>Max</th>
								   <td>1</td>
									<td>5</td>
									<td>3</td>
									<td>5</td>
								</tr>
								<tr>
									<th>Your Selection</th>
										<?php
											if($wk1<1){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Criteria fulfill for wicket-Keeper" bgcolor="red"><?php echo $wk1;?></td>
										<?php } else{
											?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Criteria fulfill for wicket-Keeper" bgcolor="green"><?php echo $wk1;?></td>
										<?php } ?>
										<?php
											if($batsman1<3){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Batsman" bgcolor="red"><?php echo $batsman1;?></td>
										<?php } else{ ?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Batsman" bgcolor="green"><?php echo $batsman1;?></td>
										<?php } ?>
										<?php
											if($allrounder1<1){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast one All-Rounders" bgcolor="red"><?php echo $allrounder1;?></td>
										<?php } else{ ?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast one All-Rounders" bgcolor="green"><?php echo $allrounder1;?></td>
										<?php } ?>
										<?php
											if($bowlers1<1){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Bowlers" bgcolor="green"><?php echo $bowlers1;?></td>
										<?php } else{ ?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Bowlers" bgcolor="green"><?php echo $bowlers1;?></td>
										<?php } ?>
								</tr>
								</tbody>
								</table>        
							</div>
						</div>
						<div class="col-md-6 col-sm-6 text-center">
							<div class="col-md-12 col-sm-12" style="border:1px solid #ddd;padding:15px;">
							<?php if($findmatchdetails->launch_status!='launched'){ ?>
							<div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="addplayermanuallyteam2">
						<div class="modal-dialog modal-sm">
						  <div class="modal-content">
							<div class="modal-header">
							  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
							  </button>
							  <h4 class="modal-title" id="myModalLabel2">Add player manually in <?php echo ucwords($findmatchdetails->team2name);?></h4>
							</div>
							<div class="modal-body">
							
							
								 <form action="<?php echo action('PlayersController@addplayermanually')?>" method="post" enctype="multipart/form-data">
								  {{csrf_field()}}
									<input type="hidden" value="<?php echo $findmatchdetails->matchkey?>" name="matchkey">
									<input type="hidden" value="<?php echo $findmatchdetails->team2?>" name="team">
									<div class="form-group">
										<input class="form-control" required="" name="player_name" placeholder="Enter Player Name here">
									</div>
									<div class="form-group">
										<input class="form-control" required="" name="player_key" placeholder="Enter Player Key here">
									</div>
									<div class="form-group">
										<input class="form-control" required="" name="credit" onkeypress="return isNumberKey(event)" placeholder="Enter Player credit here">
									</div>
									<div class="form-group">
										<select class="form-control" name="role" required="">
											<option value="">Select Role</option>
											<option value="batsman">Batsman</option>
											<option value="bowler">Bowler</option>
											<option value="allrounder">All rounder</option>
											<option value="keeper">Wicket Keeper</option>
										</select>
									</div>
									<div class="form-group">
										<input type="file" name="image[]">
									</div>
									<button type="submit" class="btn btn-primary">Add Player</button>
								  </form>
							
							
							 <!-- <form action="<?php echo action('PlayersController@addplayermanually')?>" method="post" enctype="multipart/form-data">
							  {{csrf_field()}}
								<div class="form-group">
									<input type="file" name="image[]">
								</div>
								<button type="submit" class="btn btn-primary">Add Player</button>
							  </form>-->
							</div>
							<div class="modal-footer">
							  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
							</div>
							</div>
						</div>
				</div>
							<a class="pull-right btnsss" style="cursor:pointer;margin-bottom:10px;" data-toggle="modal" data-target="#addplayermanuallyteam2"><i class="fa fa-plus-circle"></i> Add player manually</a>
							<?php } ?>
								<table class="table table-striped table-bordered dataTable no-footer" role="grid" aria-describedby="datatable_info">
									<thead>
										<tr role="row">
											<th class="sorting_asc">S No.</th>
											<th class="sorting_asc">Player Name</th>
											<th class="sorting_asc">Player Role</th>
											<th class="sorting">Player Credit</th>
										</tr>
								  </thead>
								  <tbody>
								  <?php $player2sno=0;?>
								  <?php foreach($findplayer2details as $p2){ 
									$player2sno++;
								  ?>
								  <tr role="row">
									 <td><?php echo $player2sno; ?></td>
									 <td><?php echo ucwords($p2->name); ?></td>
									 <td><a data-toggle="modal" data-target="#player2modal<?php echo $player2sno?>" style="text-decoration:underline;cursor:pointer"><?php echo ucwords($p2->role);?></a></td>
									 <td><a data-toggle="modal" data-target="#player2modal<?php echo $player2sno?>" style="text-decoration:underline;cursor:pointer"><?php if($p2->credit==""){ echo 0;}else{ echo $p2->credit; } ?></a></td>
								  </tr>
								  <?php if($findmatchdetails->launch_status!='launched'){ ?>
								  <div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" id="player2modal<?php echo $player2sno;?>">
										<div class="modal-dialog modal-sm">
										  <div class="modal-content">
											<div class="modal-header">
											  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
											  </button>
											  <h4 class="modal-title" id="myModalLabel2">Change player role and credit</h4>
											</div>
											<div class="modal-body">
											  <form action="<?php echo action('MatchesController@playerroles',$p2->id)?>" method="post">
											  {{csrf_field()}}
												<div class="form-group">
													<input type="text" class="form-control" readonly="" value="<?php echo ucwords($p2->name); ?>">
												</div>
												<div class="form-group">
													<input type="text" class="form-control" onkeypress="return isNumberKey(event)" name="credit" placeholder="Enter player credits" value="<?php echo $p2->credit; ?>">
												</div>
												<div class="form-group">
													<select class="form-control" name="role">
														<option value=""></option>
														<option value="batsman" <?php if($p2->role=='batsman'){ echo 'selected'; }?>>Batsman</option>
														<option value="bowler" <?php if($p2->role=='bowler'){ echo 'selected'; }?>>Bowler</option>
														<option value="allrounder" <?php if($p2->role=='allrounder'){ echo 'selected'; }?>>All rounder</option>
														<option value="keeper" <?php if($p2->role=='keeper'){ echo 'selected'; }?>>Wicket Keeper</option>
													</select>
												</div>
												<div class="checkbox" style="text-align:left;">
													<label>
													  <input value="global" name="global" type="checkbox"> Set as global
													</label>
												  </div>
												   <button type="submit" class="btn btn-primary">Save changes</button>
											  </form>
											</div>
											<div class="modal-footer">
											  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
											</div>

										  </div>
										</div>
									  </div>
								  <?php } ?>
								  <?php } ?>
								  </tbody>
								</table>
							</div>
							<div id="Ctrl_SlctCriteriaTeam1" class="col-md-12 col-sm-12" style="margin-top:20px;padding:0px;">
								<table style="width:100%;" class="table table-striped table-bordered dataTable no-footer" border="1">
									<tbody>
									<tr>
										<th colspan="5" style="text-align:center">Selection Criteria</th>
									</tr>
									<tr>
										<td></td>
										<td>WK</td>
										<td>Bat</td>
										<td>AR</td>
										<td>Bowl</td>
									</tr>
									<tr>
										<th>Min</th>
										<td>1</td>
										<td>3</td>
										<td>1</td>
										<td>3</td>
									</tr>
									<tr>
										<th>Max</th>
									   <td>1</td>
										<td>5</td>
										<td>3</td>
										<td>5</td>
									</tr>
									<tr>
									<th>Your Selection</th>
									<?php
											if($wk2<1){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Criteria fulfill for wicket-Keeper" bgcolor="red"><?php echo $wk2;?></td>
										<?php } else{
											?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Criteria fulfill for wicket-Keeper" bgcolor="green"><?php echo $wk2;?></td>
										<?php } ?>
										<?php
											if($batsman2<3){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Batsman" bgcolor="red"><?php echo $batsman2;?></td>
										<?php } else{ ?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Batsman" bgcolor="green"><?php echo $batsman2;?></td>
										<?php } ?>
										<?php
											if($allrounder2<1){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast one All-Rounders" bgcolor="red"><?php echo $allrounder2;?></td>
										<?php } else{ ?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast one All-Rounders" bgcolor="green"><?php echo $allrounder2;?></td>
										<?php } ?>
										<?php
											if($bowlers2<1){
										?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Bowlers" bgcolor="green"><?php echo $bowlers2;?></td>
										<?php } else{ ?>
										<td style="cursor:pointer; font-weight: bold;color:white;" title="Please select atleast three Bowlers" bgcolor="green"><?php echo $bowlers2;?></td>
										<?php } ?>
									</tr>
									</tbody>
								</table>        
							</div>
						</div>
					</div>
                  </div>
                </div>
			</div>
		</div>
	</div>
</div>
<SCRIPT language=Javascript>
       <!--
       function isNumberKey(evt)
       {
          var charCode = (evt.which) ? evt.which : evt.keyCode;
          if (charCode != 46 && charCode > 31 
            && (charCode < 48 || charCode > 57))
             return false;

          return true;
       }
       //-->
    </SCRIPT>
	@include('includes.admin-footer')