@include('includes.admin-header')
<div class="right_col" role="main" style="min-height: 3742.8px;">
  <div class="">
	<div class="page-title">
	  <div class="title_left">
		<h3>Profit and loss report</small></h3>
	  </div>
	</div>
	<div class="clearfix"></div>
	<div class="row">
		<div class="col-md-12 col-sm-12 col-xs-12">
			<div class="x_panel">
			 <form action="<?php echo action('AnalyticsController@profitloss')?>" method="get">
			 				<?php
								$matchkey="";$start_date="";$end_date="";
								if(isset($_GET['start_date'])){
									$start_date = $_GET['start_date'];
								}
								if(isset($_GET['end_date'])){
									$end_date = $_GET['end_date'];
								}
								if(isset($_GET['matchkey'])){
									$matchkey = $_GET['matchkey'];
								}
						?>
				<div class="col-md-3 col-sm-3">
					<input name="start_date" value="<?php echo $start_date;?>" required="" class="form-control select2in-datepicker" placeholder="Search By Start Date" type="text">
				</div>
				<div class="col-md-3 col-sm-3">
					<input name="end_date" value="<?php echo $end_date;?>" required="" class="form-control select2in-datepicker" placeholder="Search By End date" type="text">
				</div>
				<div class="col-md-3 col-sm-3">
					<input name="matchkey" value="<?php echo $matchkey;?>" class="form-control" placeholder="Search By Match key" type="text">
				</div>
				<div class="col-md-3 col-sm-3">
					<input class="btn btn-info" value="Get Profit & Loss Report" type="submit">
				</div>
			 </form>
			</div>
		</div>
	</div>
	<div class="clearfix"></div>
	<div class="row">
		<div class="col-md-12 col-sm-12 col-xs-12">
			<div class="x_panel">
			<?php if(!empty($getlist)){ ?>
			 
				<table class="table table-striped table-bordered dataTable no-footer" role="grid" aria-describedby="datatable_info" id="example">
                      <thead>
                        <tr role="row">
							<th class="sorting_asc">Match Key</th>
							<th class="sorting_asc">Challenge Id</th>
							<th class="sorting_asc">No of users</th>
							<th class="sorting_asc">Bonus(Total)</th>
							<th class="sorting_asc">Un Utilized(Total)</th>
							<th class="sorting_asc">Winnings(Total)</th>
							<th class="sorting_asc">Total Amount</th>
							<th class="sorting_asc">winnings</th>
							<th class="sorting_asc">%age GM</th>
							<th class="sorting_asc">Bonus %age</th>
							<th class="sorting_asc">Paid By S2W</th>
						</tr>
                      </thead>

					<tbody>
					<?php if(!empty($getlist)){ 
						$totalbonusget=0;
						$totalbalanceget=0;
						$totalwiningget=0;
						$totalpaid=0;
					?>
					<?php foreach($getlist as $fmatch){ 
						$findtransactions = DB::table('leaugestransactions')->where('challengeid',$fmatch->challengeid)->selectRaw('sum(leaugestransactions.bonus) as totalbonus')->selectRaw('sum(leaugestransactions.winning) as totalwining')->selectRaw('sum(leaugestransactions.balance) as totalbalance')->get();
						$totalbonusget+=$findtransactions[0]->totalbonus;
						$totalbalanceget+=$findtransactions[0]->totalbalance;
						$totalwiningget+=$findtransactions[0]->totalwining;
						
					?>
					<tr role="row" class="odd">
						<td><?php echo ucwords($fmatch->matchkey);?></td>
						<td><?php echo ucwords($fmatch->challengeid);?></td>
						<td><?php echo ucwords($fmatch->joinedusers);?></td>
						<td><?php echo ucwords($findtransactions[0]->totalbonus);?></td>
						<td><?php echo ucwords($findtransactions[0]->totalwining);?></td>
						<td><?php echo ucwords($findtransactions[0]->totalbalance);?></td>
						<td><?php echo $totbal = $findtransactions[0]->totalbalance+$findtransactions[0]->totalwining+$findtransactions[0]->totalbonus;?></td>
						<td><?php echo $fmatch->win_amount;?></td>
						<td>
						<?php  
						  if($totbal-$fmatch->win_amount>0){
							$a = round((($totbal-$fmatch->win_amount)/$totbal)*100,2);
							
						  }else{
							  $a = 0; 
						  }
						  echo $a.'%';
						?>
						</td>
						<td><?php 
						if($findtransactions[0]->totalbonus>0){
								$b = round(($findtransactions[0]->totalbonus/$totbal)*100,2);
								
						}else{
							$b = 0;
						}
						echo $b.'%';
						?></td> 
						<td>
						<?php
							$c = round((($b-$a)*$totbal)/100,2);
							echo $c;
							$totalpaid+=$c;
						?>
						
						</td>
					</tr>
					<?php } ?>
					<tr role="row" class="odd" style="background: #ffb800;
color: black;
font-weight: bold;
height: 20px;">
						<td></td>
						<td></td>
						<td>Total</td>
						<td><?php echo $totalbonusget;?></td>
						<td><?php echo $totalwiningget;?></td>
						<td><?php echo $totalbalanceget;?></td>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
						<td><?php echo $totalpaid;?></td>
						
					</tr>
					<?php } else{
						?>
						<tr role="row" class="odd">
						<td colspan="9" style="text-align:center">No Results Available</td>
						</tr>
						<?php
					}?>
					
                       </tbody>
                    </table>
					
			<?php } ?>
			</div>
		</div>
	</div>
</div>
@include('includes.admin-footer')