@include('includes.admin-header')
<div class="right_col" role="main" style="min-height: 3742.8px;">
  <div class="">
	<div class="page-title">
	  <div class="title_left">
		<h3>Edit Global Challenge</small></h3>
	  </div>
	</div>
	<div class="clearfix"></div>
	<div class="row">
		<div class="col-md-12 col-sm-12 col-xs-12">
			<div class="x_panel">
			  <a class="pull-right btnsss" href="<?php echo action('ChallengesController@viewchallenges')?>"> View all global challenges </a>
			</div>
		</div>
	</div>
	<div class="">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Edit Global Challenge</h2>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <br>
					<?php echo Helpers::errormessage($errors);?>
					<?php echo Helpers::flashMessage();?>
                    <form id="demo-form2" data-parsley-validate="" class="form-horizontal form-label-left" novalidate="" action="<?php echo action('ChallengesController@editglobalchallenge',base64_encode(serialize($challenge->id))); ?>" method="post">
					 {{csrf_field()}}
           <div class="form-group">
              <label class="control-label col-sm-3" style="padding:0px;">
                 Challenge Type</label>
              <div class="col-sm-7">
                 <input type="radio" name="challenge_type" value="money"> Fixed Challenge
                 <input type="radio" name="challenge_type" value="percentage"> Percentage based
              </div>
            </div>
					  <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">Entry fee<span class="required">*</span>
                        </label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                          <input id="first-name" required="required" value="<?php echo $challenge->entryfee?>" placeholder="enter entry fees here" name="entryfee" class="form-control col-md-7 col-xs-12" type="text">
                        </div>
                      </div>
					  <div class="form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">wining amount <span class="required">*</span>
							</label>
							  <div class="col-md-6 col-sm-6 col-xs-12">
								<input class="form-control" value="<?php echo $challenge->win_amount?>" placeholder="enter wining amount here" name="win_amount" aria-describedby="inputSuccess2Status2" type="text">
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">Maximum number of users <span class="required">*</span>
							</label>
							  <div class="col-md-6 col-sm-6 col-xs-12">
								<input class="form-control" placeholder="Enter maximum number of users" value="<?php echo $challenge->maximum_user?>" name="maximum_user" aria-describedby="inputSuccess2Status2" type="text">
							</div>
						</div>
                        <div class="form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">Maximum number of users <span class="required">*</span>
							</label>
							  <div class="col-md-6 col-sm-6 col-xs-12">
								<input class="form-control" placeholder="Enter maximum number of users" value="<?php echo $challenge->minimum_user?>" name="minimum_user" aria-describedby="inputSuccess2Status2" type="text">
							</div>
						</div>
                        <div class="form-group">
                          <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">Winning Percentage <span class="required">*</span>
                          </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                            <input class="form-control" type="number" min="0" placeholder="Enter percentage of users winnig this challenge" value="{{Input::old('winning_percentage')}}" name="winning_percentage" aria-describedby="inputSuccess2Status2" required="">
                          </div>
                        </div>
						<div class="form-group">
                            <label class="control-label col-sm-3" style="padding:0px;">
                               Multi Entry</label>
                            <div class="col-sm-7">
                               <input type="checkbox" name="multi_entry" value="1" <?php if($challenge->multi_entry==1){ echo 'checked'; }?>>
                                
                            </div>
                        </div>
						<div class="form-group">
                            <label class="control-label col-sm-3" style="padding:0px;">
                               Confirmed Challenge</label>
                            <div class="col-sm-7">
                               <input type="checkbox" name="confirmed_challenge" value="1" <?php if($challenge->confirmed_challenge==1){ echo 'checked'; }?>>
                            </div>
                        </div>
						<div class="form-group">
                            <label class="control-label col-sm-3" style="padding:0px;">
                               Can Use Bonus</label>
                            <div class="col-sm-7">
                               <input type="checkbox" name="bonus" value="1" <?php if($challenge->bonus==1){ echo 'checked'; }?>>
                            </div>
                        </div>
						<div class="form-group">
                            <label class="control-label col-sm-3" style="padding:0px;">
                              Is Running</label>
                            <div class="col-sm-7">
                               <input type="checkbox" name="is_running" value="1" <?php if($challenge->is_running==1){ echo 'checked'; }?>>
                                
                            </div>
                        </div>
                      
                      <div class="ln_solid"></div>
                      <div class="form-group">
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                          <button type="submit" class="btn btn-success">Update Challenge</button>
                          <a class="btn btn-primary" href="" type="button">Cancel</a>
                        </div>
                      </div>

                    </form>
                  </div>
                </div>
              </div>
</div>
@include('includes.admin-footer')