<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
 <meta name="csrf-token" content="{{ csrf_token() }}" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Fantasy Power 11 | ADMIN</title>
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/admin/bootstrap.min.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/admin/custom.min.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/admin/ngprogress.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/admin/jquery.datetimepicker.css')?>">
<link href="<?php echo URL::asset('font-awesome-4.7.0/css/font-awesome.min.css')?>" rel="stylesheet" media="all">
</head>
<body id="app-layout" class="nav-md">
<div id="loadingshow" style="display:none;">
		<div style="background: rgba(0, 0, 0, 0.5) none repeat scroll 0% 0%; height: 100%; width: 100%; position: fixed; left: 0px; right: 0px; top: 0px; z-index: 9999;">
			<div style="width: 250px; height: 100px; text-align: center; position: fixed; top: 0px; left: 0px; right: 0px; bottom: 0px; margin: auto; font-size: 16px; z-index: 10; color: rgb(255, 255, 255);background: white;padding: 19px;border-radius:4px;">
				 <div class="sk-cube-grid">
					<div class="sk-cube sk-cube1"></div>
					<div class="sk-cube sk-cube2"></div>
					<div class="sk-cube sk-cube3"></div>
					<div class="sk-cube sk-cube4"></div>
					<div class="sk-cube sk-cube5"></div>
					<div class="sk-cube sk-cube6"></div>
					<div class="sk-cube sk-cube7"></div>
					<div class="sk-cube sk-cube8"></div>
					<div class="sk-cube sk-cube9"></div>
			  </div>
			  <span style="color:rgb(0,133,200);">Please wait.. Loading....</span>
			</div>
			<div class="bg" style="background: none repeat scroll 0% 0% rgb(0, 0, 0); opacity: 0.7; width: 100%; position: absolute; top: 0px;">
			</div>
		</div>
	</div>
<div class="container body">
      <div class="main_container" style="background:#1B1E24;">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">
            <div class="navbar nav_title text-center" style="border: 0;">
                <a href="<?php echo action('DashboardController@index')?>"> <img src="<?php echo URL::asset('images/logo.png')?>" style="width:180px;height:auto;"></a>
                <a href="<?php echo action('DashboardController@index')?>" class="site_title"><span>Fantasy Power 11</span></a>
            </div>

            <div class="clearfix"></div>
            <br />

            <!-- sidebar menu -->
            <div id="sidebar-menu" class="main_menu_side hidden-print main_menu" style="margin-top:190px">
              <div class="menu_section">
				<div class="menu_section">
				    <ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i>Match Manager <span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						    <li><a href="<?php echo action('MatchesController@matchmapping')?>"> View all upcoming matches</a></li>
							<li><a href="<?php echo action('MatchesController@match_result')?>">Match Result</a></li>
						</ul>
					  </li>
					 </ul>
					<ul class="nav side-menu">
					  <li><a><i class="fa fa-sitemap"></i> Series Manager <span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
							<li><a href="<?php echo action('SeriesController@addseries');?>">Create new Series</a></li>
							<li><a href="<?php echo action('SeriesController@viewseries');?>">View all series</a></li>
						</ul>
					  </li>                  
					</ul>
					<ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i>Advertisments<span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						 <li><a href="<?php echo action('AdvertsimentsControllers@viewAdvertisments')?>">View Advertisments</a></li>
						 <li><a href="<?php echo action('AdvertsimentsControllers@addAdvertisment');?>">Add Advertisments</a></li>
						</ul>
					  </li>
					 </ul>
					 <ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i>Admin Manager<span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						 <li><a href="<?php echo action('AdvertsimentsControllers@viewOffers')?>">View Offers</a></li>
						 <li><a href="<?php echo action('AdvertsimentsControllers@addOffers')?>">Add New Offer</a></li>
						 <li><a href="<?php echo action('AdvertsimentsControllers@bonuslist')?>">Manage Bonus</a></li>
						</ul>
					  </li>
					 </ul>
					 <ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i>Contents Manager<span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						 <li><a href="<?php echo action('ContentsController@terms_conditions_refer')?>">Terms & Conditions Refer</a></li>
						</ul>
					  </li>
					 </ul>
					<ul class="nav side-menu">
					  <li><a><i class="fa fa-sitemap"></i> Players Manager <span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
							<li><a href="<?php echo action('PlayersController@viewplayers')?>">View all players</a></li>
						</ul>
					  </li>                  
					</ul>
					<ul class="nav side-menu">
					  <li><a><i class="fa fa-sitemap"></i> Teams Manager <span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
							<li><a href="<?php echo action('TeamsController@viewteams')?>">View all Teams</a></li>
						</ul>
					  </li>                  
					</ul>
					<ul class="nav side-menu">
					  <li><a><i class="fa fa-sitemap"></i> Leauges Manager <span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						  <li><a href="<?php echo action('ChallengesController@addglobalchallenge')?>">Create New Master Leauge</a></li>
						  <li><a href="<?php echo action('ChallengesController@viewchallenges')?>">All Master Leauges</a></li>
						  <li><a href="<?php echo action('ChallengesController@createchallenge')?>">Import Leauges in matches</a></li>
						</ul>
					  </li>                  
					</ul>
					 <ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i> User Manager <span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						 <li><a href="<?php echo action('RegisterusersController@viewregisterusers')?>">View all users</a></li>
						 <li><a href="<?php echo action('RegisterusersController@userswallet')?>">Users Wallet Summary</a></li>
						 <li><a href="<?php echo action('RegisterusersController@withdraw_amount')?>">View all Withdraw Requests</a></li>
						 <li><a href="<?php echo action('RegisterusersController@adminwalletinfo')?>">Admin wallet</a></li>
						 <li><a href="<?php echo action('AndroidapiController@allFeedback')?>">User Reviews</a></li>
						 <li><a href="<?php echo action('RegisterusersController@failedTransactions'); ?>">Failed Transactions</a></li>
						</ul>
					  </li>
					 </ul>
					 <ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i>Analytics Report<span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						 <li><a href="<?php echo action('AnalyticsController@gstreport')?>">GST report</a></li>
						 <li><a href="<?php echo action('AnalyticsController@profitloss')?>">Profit loss report</a></li>
						</ul>
					  </li>
					 </ul>
					 <ul class="nav side-menu">
					  <li><a><i class="fa fa-cog"></i>Push Notifications<span class="fa fa-chevron-down"></span></a>
						<ul class="nav child_menu">
						 <li><a href="<?php echo action('NotificationController@pushnotifications')?>">Send Android App Notifications</a></li>
						 <li><a href="<?php echo action('NotificationController@emailnotifications')?>">Send Email Notifications</a></li>
						 <li><a href="<?php echo action('NotificationController@smsnotifications')?>">Send SMS Notifications</a></li>
						</ul>
					  </li>
					 </ul>
              </div>
              </div>
             

            </div>
            <!-- /sidebar menu -->

           
          </div>
        </div>
		
        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars" style="color:#fff"></i></a>
              </div>

             

    <div id="navbarSupportedContent" class="collapse navbar-collapse">
        <ul class="navbar-nav"> 
            <li class="dropdown nav-item"><a id="dropdownBasic2" href="#" data-toggle="dropdown" class="nav-link position-relative dropdown-toggle" aria-expanded="false"><i class="fa fa-user-o font-medium-3 blue-grey darken-4"></i></a>
                        
                <div class="notification-dropdown dropdown-menu dropdown-menu-right">
                 <ul class="nav navbar-nav navbar-right">
                    <li class="">
                      <a href="{{ action('DashboardController@index') }}" class="user-profile dropdown-toggle">
                        <i class="fa fa-tachometer" aria-hidden="true"></i> <span>Dashboard</span>
                      </a>
                    </li>
    				<!--<li class="">
                      <a href="" class="user-profile dropdown-toggle" >
                        <i class="fa fa-globe "></i> </span>Go to Website</span>
                      </a>
                    </li>
    				<li class="">
                      <a href="<?php echo action('MatchesController@matchmapping')?>" class="user-profile dropdown-toggle"  >
                        <i class="fa fa-futbol-o"></i> <span>Get All Matches</span>
                      </a>
                    </li>
    				<li class="">
                      <a href="" class="user-profile dropdown-toggle" >
                        <i class="fa fa-users"></i> <span>View All Registered Users</span>
                      </a>
                    </li>-->
    				<li class="logoutAnchor">
    				<a href="{{ url('/logout') }}"
                                              class="user-profile dropdown-toggle" >
                        <i class="fa fa-sign-out "></i> <span>Logout</span>
                                            </a>
    										
                     
                    </li>
    			</ul> 
            </li> 
        </ul>
    </div>



            </nav>
          </div>
        </div>
        </div>
        <!-- /top navigation -->