<!DOCTYPE html>
<html lang="en" >
<head>
<title>MiM Essay</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0">
<meta name="robots" content="index, follow" />  
<meta name="csrf-token" content="{{ csrf_token() }}" />
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/bootstrap.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/jquery.datetimepicker.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/cast.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/animate.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/carousel.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/jqueryui.css')?>">
<link rel="stylesheet" href="https://rawgit.com/dbrekalo/attire/master/dist/css/build.min.css">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/fastselect.min.css')?>">
<link rel="stylesheet" type="text/css" href="<?php echo URL::asset('css/front/jquery.mCustomScrollbar.min.css')?>">
<link href="<?php echo URL::asset('font-awesome-4.7.0/css/font-awesome.min.css')?>" rel="stylesheet" media="all">
<link rel="stylesheet" type="text/css" href="http://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.13/semantic.min.css">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.16/css/dataTables.semanticui.min.css">
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
</head>
<body class="sticky_header">
    <header>
        <div class="container">
            <div class="logo">
                <a class="brand" href="<?php echo action('MainController@home')?>"> <img src="<?php echo URL::asset('images/logo.png')?>" alt="optional logo"> 
				<span class="logo_title">MiM Essay</span></a>
            </div>
            <div class="MenuA">
            <?php if(Session::has('mimessay_reg_user')){ 
					$readsession = Session::get('mimessay_reg_user');
			?>
			<div class="dropdown note active">
				<a href="#" class="dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false">
					<?php
						if($readsession->image!=""){
					?>
					<img src="<?php echo URL::asset('images/s_img_new.php')?>?image=<?php echo $readsession->image?>&width=20&height=20&zc=1" alt="<?php echo ucwords($readsession->fname);?> <?php echo ucwords($readsession->lname);?>">
					<?php } else{ ?>
						<img src="<?php echo URL::asset('images/s_img_new.php')?>?image=<?php echo URL::asset('images/user-icon.png')?>&width=20&height=20&zc=1" alt="<?php echo ucwords($readsession->fname);?> <?php echo ucwords($readsession->lname);?>">
					<?php } ?>
					<span class="display_block"> <?php echo ucwords($readsession->fname);?> <?php echo ucwords($readsession->lname);?> </span> <i class="fa fa-angle-down"></i></a>
						<ul class="dropdown-menu">
							<li class="active"><a href="<?php echo action('RegisteruserController@myaccount')?>"><span class="SmallGreenPoint"></span> Account</a></li>
							<li class="active"><a href="<?php echo action('QuestionController@myquestions')?>"><span class="SmallGreenPoint"></span> My Questions</a></li>
							<li><a href="<?php echo action('RegisteruserController@mycalls')?>">Calls</a></li>
							<li><a href="<?php echo action('MessageController@inbox')?>">Inbox</a></li>
							<li><a href="<?php echo action('RegisteruserController@myfavourites')?>">Favorites</a></li>
							<li><a href="<?php echo action('RegisteruserController@logout')?>">Logout</a></li>
						</ul>
				</div>
			<?php } ?>
            <div id="mainmenu" class="menu_container">
                <label class="mobile_collapser">MENU</label>
                <ul>
                    <li class="has-dropdown"><a href="#">Browse</a>
                        <div class="dmui_dropdown_block full_width">
                            <div class="dmui-container">
                                <div class="dmui-container">
                                        <ul class="dmui-submenu">	
										<?php $findcategory = DB::table('categories')->orderBY('name','ASC')->get();?>
										<?php
											if(!empty($findcategory)){
												foreach($findcategory as $ff){
													$findsub = DB::table('subcategories')->where('category',$ff->id)->orderBY('name','ASC')->get();
												?>
												<li><a href="<?php echo action('PostController@searchpost',$ff->slug)?>"><?php echo ucfirst($ff->name);?>
												<?php if(!empty($findsub)){ ?>
														<i class="fa fa-angle-right"></i>
												<?php }
												?>
												</a>
												<?php
												 if(!empty($findsub)){
													 ?>
													 <ul class="dmuisubmenuSub">
													 <?php foreach($findsub as $sub){ ?>
														<li><a href="<?php echo action('PostController@searchpost',$ff->slug.'/'.$sub->slug)?>"><?php echo ucfirst($sub->name); ?></a></li>
													 <?php } ?>
													 </ul>
													 <?php
												 }
												?>
												</li>
										<?php
											}
											}
										?>
																					
                                        </ul>
                                    </div>
                            </div>
                        </div>
                    </li>
                    <li><a href="<?php echo action('QuestionController@allquestions');?>">Answers</a></li>
                   <?php
						if(!Session::has('mimessay_reg_user')){
							?>
							 <li><a href="<?php echo action('RegisteruserController@login')?>">Login/Register</a></li>
							<?php
						} 
					?>
                </ul>
            </div>
			<div class="search-box no-tablet no-mobile">
				<form class="CateFrmSearch" method="GET" action="<?php echo action('PostController@searchrelated');?>">
					<input class="form-control" name="search" placeholder="Search" required="" id="search_box_student_corner" style="margin-right: 0px; padding-right: 0px;" type="text">
					<button type="submit" id="searchbill_submit"><i class="fa fa-search"></i></button>
				</form>
            </div>
			</div>
			
        </div>
    </header>
	<div id="loadingshow" style="display:none;">
		<div style="background: rgba(0, 0, 0, 0.5) none repeat scroll 0% 0%; height: 100%; width: 100%; position: fixed; left: 0px; right: 0px; top: 0px; z-index: 9999;">
			<div style="width: 250px; height: 100px; text-align: center; position: fixed; top: 0px; left: 0px; right: 0px; bottom: 0px; margin: auto; font-size: 16px; z-index: 10; color: rgb(255, 255, 255);background: white;padding: 19px;border-radius:4px;">
				 <div class="sk-cube-grid">
					<div class="sk-cube sk-cube1"></div>
					<div class="sk-cube sk-cube2"></div>
					<div class="sk-cube sk-cube3"></div>
					<div class="sk-cube sk-cube4"></div>
					<div class="sk-cube sk-cube5"></div>
					<div class="sk-cube sk-cube6"></div>
					<div class="sk-cube sk-cube7"></div>
					<div class="sk-cube sk-cube8"></div>
					<div class="sk-cube sk-cube9"></div>
			  </div>
			  <span style="color:rgb(0,133,200);">Please wait.. Loading....</span>
			</div>
			<div class="bg" style="background: none repeat scroll 0% 0% rgb(0, 0, 0); opacity: 0.7; width: 100%; position: absolute; top: 0px;">
			</div>
		</div>
	</div>
	<?php
		if(Session::has('mim_messagetrue')){
	?>
	<div class="popup" style="display:block;width:300px;height:auto;"> <a href="#" class="close"><svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="10px" height="10px" viewBox="215.186 215.671 80.802 80.8" enable-background="new 215.186 215.671 80.802 80.8" xml:space="preserve">
			<polygon fill="#FFFFFF" points="280.486,296.466 255.586,271.566 230.686,296.471 215.19,280.964 240.086,256.066 215.186,231.17
		230.69,215.674 255.586,240.566 280.475,215.671 295.985,231.169 271.089,256.064 295.987,280.96 "></polygon>
		   </svg></a>

		<div class="valid">
			<svg version="1.1" id="Layer_2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="30px" height="30px" viewBox="222.744 227.408 67.744 58.526" enable-background="new 222.744 227.408 67.744 58.526" xml:space="preserve">
				<path fill="#39BA6F" d="M250.062,285.934c-9.435-11.111-15.731-18.195-27.318-28.935l5.793-5.357
		c6.778,3.28,11.076,5.774,18.693,11.204c14.32-16.25,23.783-24.495,41.372-35.438l1.886,4.335
		C275.983,244.402,265.359,258.502,250.062,285.934z"></path>
			</svg>
		</div>
		 <h1>Success!</h1>

		<p style="font-size:13px;"><?php echo ucfirst(Session::get('mim_messagetrue'))?></p>
		<div class="bottom-popup"><a class="start" href="#">okay</a>
	</div>
	</div>
<?php 
Session::forget('mim_messagetrue');
} ?>
<?php
	if(Session::has('mim_messagefalse')){
?>
	<div class="popup" style="background: rgb(213, 12, 12) none repeat scroll 0% 0%; display: block;"> <a href="#" class="close">
		<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="10px" height="10px" viewBox="215.186 215.671 80.802 80.8" enable-background="new 215.186 215.671 80.802 80.8" xml:space="preserve">
			<polygon fill="#FFFFFF" points="280.486,296.466 255.586,271.566 230.686,296.471 215.19,280.964 240.086,256.066 215.186,231.17
		230.69,215.674 255.586,240.566 280.475,215.671 295.985,231.169 271.089,256.064 295.987,280.96 "></polygon>
		   </svg>
		   
	</a>

		<div class="valid text-center" style="padding:4px">
		   <i class="fa fa-exclamation" style="color:red"></i>
		</div>
		 <h1>Error !</h1>

		<p style="font-size:13px;"><?php echo ucfirst(Session::get('mim_messagefalse'))?></p>
		<div class="bottom-popup"><a class="start" href="#" style="background:rgb(213,12,12);">okay</a>

		</div>
	</div>
<?php 
Session::forget('mim_messagefalse');
} ?>