@include('includes.admin-header')
<style>
.table-striped > tbody > tr:nth-of-type(2n+1) {
    background-color: transparent;
}
</style>
<?php
	use App\Http\Controllers\LeaugesapiController;
?>
<div class="right_col" role="main" style="min-height: 3742.8px;">
          <div class="">
            <div class="page-title">
              <div class="title_left">
                <h3>Marathon Results</small></h3>
              </div>
		
            </div>

			<?php
				$series="";
				if(isset($_GET['series'])){
					$series = $_GET['series'];
				}
			?>
            <div class="clearfix"></div>
<?php echo Helpers::errormessage($errors);?>
					<?php echo Helpers::flashMessage();?>
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>All Series List</h2>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <div>
					<div class="row">
					<div class="col-sm-12">
						<div class="col-md-6 col-sm-6 col-xs-12">
							<form action="<?php echo action('MatchesController@marathon_result'); ?>" method="GET">
								<select class="form-control" name="series" onchange="this.form.submit()">
									<option value=""> Select Series </option>
									<?php
										foreach($findallseries as $ser){
											?>
											<option value="<?php echo $ser->id?>" <?php if($series==$ser->id){ echo 'selected'; }?>> <?php echo ucwords($ser->name);?> </option>
											<?php
										}
									?>
								</select>
							</form>
						</div>
						<?php
							if(isset($_GET['series'])){
								if(!empty($findmarathon)){
									if($findmarathon->status=='pending'){
						?>
						<div class="col-md-6 col-sm-6 col-xs-12">
							<a href="<?php echo action('MatchesController@marathon_winner_declared',$_GET['series']); ?>" class="btn btn-info pull-right"> Declare Winner of this series </a>
						</div>
								<?php } ?>
							<?php } ?>
						<?php } ?>
					</div>
					</div>
                  </div>
                </div>
				 <div class="x_content">
                    <div>
					<div class="row">
						<?php
						if(isset($_GET['series'])){
							if(!empty($findmarathon)){
								if($findmarathon->status=='pending'){
									$findallchallenges = DB::table('matchchallenges')->where('challenge_id',$findmarathon->id)->where('series_id',$_GET['series'])->get();
									$challengarary = array();
									if(!empty($findallchallenges)){
										foreach($findallchallenges as $ch){
											$challengarary[] = $ch->id;
										}
									}
									$usersarray = array();
									$findjoinedleauges = DB::table('joinedleauges')->whereIn('challengeid',$challengarary)->groupBy('joinedleauges.userid')->get();
									if(!empty($findjoinedleauges)){
										foreach($findjoinedleauges as $jleaug){
											$usersarray[] = $jleaug->userid;
										}
									}
									$ulastrank = 0;$i=0;
									$userpointsarray = array();
									if(!empty($usersarray)){
										foreach($usersarray as $uaray){
											$bestscores = 0;
											$finduserpoints = DB::table('joinedleauges')->whereIn('joinedleauges.challengeid',$challengarary)->where('joinedleauges.userid',$uaray)->join('jointeam','jointeam.id','=','joinedleauges.teamid')->orderBy('jointeam.points','DESC')->select('jointeam.points')->limit($findbestmatches)->get();
											if(!empty($finduserpoints)){
												foreach($finduserpoints as $point){
													$bestscores+=$point->points;
												}
											}
											$userpointsarray[$i]['points'] = $bestscores;
											$userpointsarray[$i]['userid'] = $uaray;
											$i++;
										}
										$userpointsarray = LeaugesapiController::sortBySubArrayValueStatic($userpointsarray,'points','desc');
									}
									
								?>
						<div class="col-sm-12">
							<table class="table table-striped table-bordered dataTable no-footer">
								 <thead>
									<tr role="row">
										<th class="sorting_asc">User ID</th>
										<th class="sorting_asc">Team</th>
										<th class="sorting_asc">Marathon Rank</th>
										<th class="sorting_asc">Best Scores</th>
									</tr>
								</thead>
								<tbody>
								<?php
									$getpoints = array();
									if(!empty($userpointsarray)){
										$userrank = 0; $sno=0;
										foreach($userpointsarray as $userdetails){
											$sno++;
											if(in_array($userdetails['points'],$getpoints)) { // search value in the array
							
											}else{
												$userrank++;
												$getpoints[] = $userdetails['points'];
											}
											
										?>
									<tr>
										<?php $findregisteruser = DB::table('registerusers')->where('id',$userdetails['userid'])->select('team')->first();?>
										<td class="sorting_1"><?php echo $userdetails['userid'];?></td>
										<td class="sorting_1" style="text-transform:uppercase"><?php echo $findregisteruser->team;?></td>
										<td class="sorting_1" style="text-transform:uppercase"><?php echo $userrank;?></td>
										<td class="sorting_1" style="text-transform:uppercase"><?php echo $userdetails['points'];?></td>
									</tr>
								<?php 
									$i++;
								} 
									} ?>
								</tbody>
							</table>
						</div>
						<?php }else{
							$findresults = DB::table('finalresults')->where('seriesid',$findmarathon->series)->where('challengeid',$findmarathon->id)->join('registerusers','registerusers.id','=','finalresults.userid')->select('registerusers.team','finalresults.*')->get();
							
							?>
									<div class="col-sm-12">
										<table class="table table-striped table-bordered dataTable no-footer">
											 <thead>
												<tr role="row">
													<th class="sorting_asc">User ID</th>
													<th class="sorting_asc">Team</th>
													<th class="sorting_asc">Marathon Rank</th>
													<th class="sorting_asc">Best Scores</th>
													<th class="sorting_asc">Winning Amount</th>
												</tr>
											</thead>
											<tbody>
											<?php
												$getpoints = array();
												if(!empty($findresults)){
													$userrank = 0; $sno=0;
													foreach($findresults as $fresult){
														$sno++;
														if(in_array($fresult->points,$getpoints)) { // search value in the array
										
														}else{
															$userrank++;
															$getpoints[] = $fresult->points;
														}
														
													?>
												<tr>
													<td class="sorting_1"><?php echo $fresult->userid;?></td>
													<td class="sorting_1" style="text-transform:uppercase"><?php echo $fresult->team;?></td>
													<td class="sorting_1" style="text-transform:uppercase"><?php echo $userrank;?></td>
													<td class="sorting_1" style="text-transform:uppercase"><?php echo $fresult->points;?></td>
													<td class="sorting_1" style="text-transform:uppercase"><?php echo $fresult->amount;?></td>
												</tr>
											<?php 
												} 
											} ?>
											</tbody>
										</table>
									</div>
									<?php
								}
							}
						}
						?>
					</div>
                  </div>
                </div>
              </div>
			</div>
          </div>
        </div>
@include('includes.admin-footer')